Clients API
PUT/api/v1/clients/{id}/locations/{locationId}
Product availabilityAlgaPSAAlgaDesk

Update client location

Updates one location of client_id. This is where a client's phone, email and address are edited; PUT /api/v1/clients/{id} rejects those fields. Promoting is_default demotes the previous default; the last active location cannot lose its default flag.

RBAC · client

Path parameters

idstring <uuid>Required
locationIdstring <uuid>Required

Request body

Content type: application/json

location_namestring
address_line1string
address_line2string
address_line3string
citystring
state_provincestring
postal_codestring
country_codestringRequired
min length 2 · max length 3
country_namestringRequired
min length 1
region_codestring
is_billing_addressboolean
is_shipping_addressboolean
is_defaultboolean
phonestring
faxstring
emailstring <email>
notesstring
is_activeboolean

Response body

Success response 200 · schema ClientLocationEnvelope

dataobjectRequired
location_idstring <uuid>Required
client_idstring <uuid>Required
location_namestringRequiredNullable
address_line1stringRequired
address_line2stringRequiredNullable
address_line3stringRequiredNullable
citystringRequired
state_provincestringRequiredNullable
postal_codestringRequiredNullable
country_codestringRequired
country_namestringRequired
region_codestringRequiredNullable
is_billing_addressbooleanRequired
is_shipping_addressbooleanRequired
is_defaultbooleanRequired
phonestringRequiredNullable
phone_extensionstringNullable
faxstringRequiredNullable
fax_extensionstringNullable
emailstringRequiredNullable
notesstringRequiredNullable
is_activebooleanRequired
created_atstring <date-time>Required
updated_atstring <date-time>Required
tenantstring <uuid>Required
metaobject

Response codes

200
Client location updated.
400
Invalid ids or request payload.
401
API key missing/invalid or key user not found.
403
Permission denied for client update.
404
Client or location not found.
409
Default-location rule violated.
500
Unexpected client location update failure.